I am sure I have to add some custom package repository or something. Try updating # file: /usr/local/etc/pkg/repos/Free # $Date: 2014-02-05 +0100 $ # Repository definition file for the Free BSD repository.

pkg upgrade updating repository catalogue error-90

Free pkg-static: PACKAGESITE in is no longer supported. See pkg.conf(5) pkg-static: Cannot parse configuration file!

# pkg info bash bash-4.3.24 Name : bash Version : 4.3.24 Installed on : Tue Sep 16 EDT 2014 Origin : shells/bash Architecture : freebsd:9:x Prefix : /usr/local Categories : shells Licenses : GPLv3 Maintainer : [email protected] WWW : : The GNU Project's Bourne Again SHell Options : COLONBREAKSWORDS: on DOCS : on HELP : on IMPLICITCD : on NLS : on STATIC : off SYSLOG : off Shared Libs required: 9 3 Annotations : repo_type : binary repository : Free BSD Flat size : 6.65Mi B Description : This is GNU Bash. You can see an example of that second-class service here, as 4.3.25 still isn't available.

Bash is the GNU Project's Bourne Again SHell, a complete implementation of the POSIX.2 shell spec, but also with interactive command line editing, job control on architectures that support it, csh-like features such as history substitution and brace expansion, and a slew of other features. Even when the package is released, it's still not clear what sort of testing is done on updated packages, so installing a fresh package is a bit risky and runs the risk of regressions.

New version of pkg detected; it needs to be installed first. [y/N]: y [alexus.org] Fetching pkg-1.3.8_1.txz: 100% 2 MB 2.0M/s Checking integrity... The following 1 packages will be affected (of 0 checked): Installed packages to be UPGRADED: bash: 4.3.24 - 4.3.25_1 The operation will free 64 B.

The following 1 packages will be affected (of 0 checked): Installed packages to be UPGRADED: pkg: 1.3.7 - 1.3.8_1 The process will require 31 k B more space. done (0 conflicting) [alexus.org] [1/1] Upgrading pkg from 1.3.7 to 1.3.8_1: 100% Updating Free BSD repository catalogue...

[email protected]:/ # pkg install git Updating repository catalogue The following 12 packages will be installed: Installing p5-GSSAPI: 0.28 Installing p5-Digest-HMAC: 1.03 Installing p5-Net-SSLeay: 1.63 Installing p5-Socket: 2.014 Installing p5-IO-Socket-IP: 0.29 Installing p5-Error: 0.17022 Installing cvsps: 2.1_1 Installing p5-MIME-Base64: 3.14 Installing p5-Authen-SASL: 2.16 Installing p5-IO-Socket-SSL: 1.992 Installing p5-Net-SMTP-SSL: 1.01_2 Installing git: 2.0.0 The installation will require 181 MB more space 3 MB to be downloaded Proceed with installing packages [y/N]: y pkg: According to the freshports listing it doesn't require p5-GSSAPI anymore.Free BSD.org/freebsd:9:x/latest/All/p5-GSSAPI-0.28.txz: Not Found . I was searching all over the google but most probably since I do not know the nature or the problem, I do not know what to search for and do not know what keywords to search. Maybe your repository configuration is out of date?WWW: # pkg upgrade bash Updating Free BSD repository catalogue... Bash is 'tested' after release due to the fact that it's widely used, so it's important to check the forums & mailinglists before installing any Free BSD package/port.[[email protected] ~]$ sudo pkg upgrade bash Password: Updating Free BSD repository catalogue... # Most Free BSD users still don't use pkg, therefore it's treated as a secondary service.[alexus.org] Fetching meta.txz: 100% 968 B 1.0k/s [alexus.org] Fetching digests.txz: 100% 2 MB 2.0M/s [alexus.org] Fetching packagesite.txz: 100% 5 MB 5.3M/s Removing expired repository entries: 100% Processing new repository entries: 100% Free BSD repository update completed.23417 packages processed: 9022 updated, 63 removed and 155 added. [y/N]: y [alexus.org] Fetching bash-4.3.25_1.txz: 100% 1 MB 1.2M/s Checking integrity...